Subject: Re: [RFC] Planning a git-cvsdaemon

From: Mike McCormack <[email-masked]>
Date: Mon, 12 Dec 2005 05:57:11 +0900

Martin Langhoff wrote:

> In any case, I am after feedback in general (and any truly
> insurmountable issues you can think of),  I haven't found yet  a good
> library implementing the server side of the protocol (other than
> cvs's). git-cvsdaemon will probably take shape in Perl initially,
> though if there's a good cvs protocol library in other scripting
> language, I'm interested...

Hey Martin,

That's a neat idea, and a great way to get projects to move from CVS to GIT.

I'd recommend that you avoid providing commit access to a GIT repository 
via CVS for starters.  Many projects (eg. Wine) would benefit greatly 
from just having a way for people to get the source via CVS without 
having to write scripts to maintain a CVS tree in parallel.  Serious 
developers will use GIT if the master repository is GIT anyway.

Mike